
%global debug_package %{nil}
%global python3_pkgversion 3.11
%global pypi_name django-crum
%global srcname django_crum
%global pypi_version 0.7.9

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        Django middleware to capture current request and user.

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        BSD-3-Clause
URL:            https://github.com/ninemoreminutes/django-crum/
Source:         %{pypi_source %pypi_name}

BuildRequires:  python%{python3_pkgversion}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-pip
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-setuptools-twine
BuildRequires:  python%{python3_pkgversion}-wheel
BuildRequires:  pyproject-rpm-macros

# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
Django-CRUM (Current Request User Middleware) captures the current request and user in thread local storage.}

%description %_description

%package -n     python%{python3_pkgversion}-django-crum
Summary:        %{summary}
Requires:       python%{python3_pkgversion}-django >= 1.8

%description -n python%{python3_pkgversion}-django-crum %_description


%prep
%autosetup -p1 -n django-crum-%{version}

%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%files -n python%{python3_pkgversion}-django-crum -f %{pyproject_files}
%license LICENSE
%doc README.rst
%{python3_sitelib}/crum
%{python3_sitelib}/%{srcname}-%{pypi_version}.dist-info


%changelog
* Tue Feb 18 2025 Carlos Heiras <carlos.heiras@oracle.com> - 0.7.9-1
- OLAM-695 Initial release
